aboutsummaryrefslogtreecommitdiff
path: root/graphics/sane-backends/files/pkg-install.in
diff options
context:
space:
mode:
Diffstat (limited to 'graphics/sane-backends/files/pkg-install.in')
-rw-r--r--graphics/sane-backends/files/pkg-install.in65
1 files changed, 65 insertions, 0 deletions
diff --git a/graphics/sane-backends/files/pkg-install.in b/graphics/sane-backends/files/pkg-install.in
new file mode 100644
index 000000000000..4ff38c47598f
--- /dev/null
+++ b/graphics/sane-backends/files/pkg-install.in
@@ -0,0 +1,65 @@
+#!/bin/sh
+
+user=saned
+group=saned
+
+ask() {
+ local question default answer
+
+ question=$1
+ default=$2
+ if [ -z "${PACKAGE_BUILDING}" ]; then
+ read -p "${question} [${default}]? " answer
+ fi
+ if [ x${answer} = x ]; then
+ answer=${default}
+ fi
+ echo ${answer}
+}
+
+yesno() {
+ local dflt question answer
+
+ question=$1
+ dflt=$2
+ while :; do
+ answer=$(ask "${question}" "${dflt}")
+ case "${answer}" in
+ [Yy]*) return 0;;
+ [Nn]*) return 1;;
+ esac
+ echo "Please answer yes or no."
+ done
+}
+
+if [ x"$2" = xPRE-INSTALL ]; then
+ if /usr/sbin/pw groupshow "${group}" 2>/dev/null; then
+ echo "You already have a group \"${group}\", so I will use it."
+ else
+ echo "You need a group \"${group}\"."
+ if ([ -n "$BATCH" ] || yesno "Would you like me to create it" y); then
+ /usr/sbin/pw groupadd ${group} -g 194 -h - || exit
+ echo "Done."
+ else
+ echo "Please create it, and try again."
+ exit 1
+ fi
+ fi
+
+ if /usr/sbin/pw user show "${user}" 2>/dev/null; then
+ echo "You already have a user \"${user}\", so I will use it."
+ pw usermod "${user}" -d /nonexistent
+ else
+ echo "You need a user \"${user}\"."
+ if ([ -n "$BATCH" ] || yesno "Would you like me to create it" y); then
+ /usr/sbin/pw useradd ${user} -u 194 -g ${group} -h - \
+ -d /nonexistent -s /bin/sh -c "SANE Scanner Daemon" || exit
+ echo "Done."
+ else
+ echo "Please create it, and try again."
+ exit 1
+ fi
+ fi
+
+ # TODO: Fix logging.
+fi